/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.omegat.util.task.valueobject;

/**
 * 処理クラス [BlancoOmegatTranslateXliffProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoOmegatTranslateXliffProcessInput {
    /**
     * verboseモードで動作させるかどうか。
     *
     * フィールド: [verbose]。
     * デフォルト: [false]。
     */
    private boolean fVerbose = false;

    /**
     * TMX ファイルが格納されているディレクトリ。
     *
     * フィールド: [tmxdir]。
     */
    private String fTmxdir;

    /**
     * 入力・出力先となる OASIS XLIFF ファイルが格納されるディレクトリ。xlifffileと排他利用。
     *
     * フィールド: [xliffdir]。
     */
    private String fXliffdir;

    /**
     * 入力・出力先となる OASIS XLIFF ファイル。xliffdir と排他利用。
     *
     * フィールド: [xlifffile]。
     */
    private String fXlifffile;

    /**
     * ツールID。
     *
     * フィールド: [tool-id]。
     * デフォルト: [omegat]。
     */
    private String fToolId = "omegat";

    /**
     * 翻訳メモリの出所。
     *
     * フィールド: [origin]。
     */
    private String fOrigin;

    /**
     * targetが既にある場合に処理をスキップするかどうか。
     *
     * フィールド: [skipiftargetexist]。
     * デフォルト: [false]。
     */
    private boolean fSkipiftargetexist = false;

    /**
     * フィールド [verbose] の値を設定します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     *
     * @param argVerbose フィールド[verbose]に設定する値。
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド [verbose] の値を取得します。
     *
     * フィールドの説明: [verboseモードで動作させるかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[verbose]から取得した値。
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [tmxdir] の値を設定します。
     *
     * フィールドの説明: [TMX ファイルが格納されているディレクトリ。]。
     *
     * @param argTmxdir フィールド[tmxdir]に設定する値。
     */
    public void setTmxdir(final String argTmxdir) {
        fTmxdir = argTmxdir;
    }

    /**
     * フィールド [tmxdir] の値を取得します。
     *
     * フィールドの説明: [TMX ファイルが格納されているディレクトリ。]。
     *
     * @return フィールド[tmxdir]から取得した値。
     */
    public String getTmxdir() {
        return fTmxdir;
    }

    /**
     * フィールド [xliffdir] の値を設定します。
     *
     * フィールドの説明: [入力・出力先となる OASIS XLIFF ファイルが格納されるディレクトリ。xlifffileと排他利用。]。
     *
     * @param argXliffdir フィールド[xliffdir]に設定する値。
     */
    public void setXliffdir(final String argXliffdir) {
        fXliffdir = argXliffdir;
    }

    /**
     * フィールド [xliffdir] の値を取得します。
     *
     * フィールドの説明: [入力・出力先となる OASIS XLIFF ファイルが格納されるディレクトリ。xlifffileと排他利用。]。
     *
     * @return フィールド[xliffdir]から取得した値。
     */
    public String getXliffdir() {
        return fXliffdir;
    }

    /**
     * フィールド [xlifffile] の値を設定します。
     *
     * フィールドの説明: [入力・出力先となる OASIS XLIFF ファイル。xliffdir と排他利用。]。
     *
     * @param argXlifffile フィールド[xlifffile]に設定する値。
     */
    public void setXlifffile(final String argXlifffile) {
        fXlifffile = argXlifffile;
    }

    /**
     * フィールド [xlifffile] の値を取得します。
     *
     * フィールドの説明: [入力・出力先となる OASIS XLIFF ファイル。xliffdir と排他利用。]。
     *
     * @return フィールド[xlifffile]から取得した値。
     */
    public String getXlifffile() {
        return fXlifffile;
    }

    /**
     * フィールド [tool-id] の値を設定します。
     *
     * フィールドの説明: [ツールID。]。
     *
     * @param argToolId フィールド[tool-id]に設定する値。
     */
    public void setToolId(final String argToolId) {
        fToolId = argToolId;
    }

    /**
     * フィールド [tool-id] の値を取得します。
     *
     * フィールドの説明: [ツールID。]。
     * デフォルト: [omegat]。
     *
     * @return フィールド[tool-id]から取得した値。
     */
    public String getToolId() {
        return fToolId;
    }

    /**
     * フィールド [origin] の値を設定します。
     *
     * フィールドの説明: [翻訳メモリの出所。]。
     *
     * @param argOrigin フィールド[origin]に設定する値。
     */
    public void setOrigin(final String argOrigin) {
        fOrigin = argOrigin;
    }

    /**
     * フィールド [origin] の値を取得します。
     *
     * フィールドの説明: [翻訳メモリの出所。]。
     *
     * @return フィールド[origin]から取得した値。
     */
    public String getOrigin() {
        return fOrigin;
    }

    /**
     * フィールド [skipiftargetexist] の値を設定します。
     *
     * フィールドの説明: [targetが既にある場合に処理をスキップするかどうか。]。
     *
     * @param argSkipiftargetexist フィールド[skipiftargetexist]に設定する値。
     */
    public void setSkipiftargetexist(final boolean argSkipiftargetexist) {
        fSkipiftargetexist = argSkipiftargetexist;
    }

    /**
     * フィールド [skipiftargetexist] の値を取得します。
     *
     * フィールドの説明: [targetが既にある場合に処理をスキップするかどうか。]。
     * デフォルト: [false]。
     *
     * @return フィールド[skipiftargetexist]から取得した値。
     */
    public boolean getSkipiftargetexist() {
        return fSkipiftargetexist;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.omegat.util.task.valueobject.BlancoOmegatTranslateXliffProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",tmxdir=" + fTmxdir);
        buf.append(",xliffdir=" + fXliffdir);
        buf.append(",xlifffile=" + fXlifffile);
        buf.append(",tool-id=" + fToolId);
        buf.append(",origin=" + fOrigin);
        buf.append(",skipiftargetexist=" + fSkipiftargetexist);
        buf.append("]");
        return buf.toString();
    }
}
